---
title: "Retrieve PY Employee Clock In and Out"
slug: "retrieve-py-employee-clock-in-and-out"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-py-employee-clock-in-and-out"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PY Employee Clock In and Out

Get/hcm-rest-api/rest/1/pyempclockinout

## Query Standards

| Key | Recommended | Description |
| --- | --- | --- |
| finder | Yes | Filters data based on attributes |
| limit | Yes | No. of items to return |
| offset | Yes | item index |
| totalResults | Yes | Returns total number of items |
| orderBy | Yes | Returns list of items order by given attribute |

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select By Code
- By UUID

#### Select By Code

This is the recommended finder for querying Employee Benefits by Plan Option Code, Benefit Type Code, Plan Code, Employee Number and Effective Start Date.

| Parameter | Description | Sample |
| --- | --- | --- |
| PloCode | Plan Option Code | CHILD |
| BenCode | Benefit Code | AD&D |
| PlanCode | Plan Code | DEFAULT |
| EmpNo | Employee Number | 0116 |
| EffStartDate | Effective Start Date | 2016-01-01 |

#### By UUID

This is an optional finder for querying a specific Employee Benefit by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /hcm-rest-api/rest/1/pyempben/EB5AE2343ABE4300E05316821FACCF90 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByEmpNo;empNo=001,auditDate=2015-01-01
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleEcioVUuid

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='32c23806-6452-4eb4-be7f-95428db27b8e'>application/json</option>
</select>

```json
{
  "items": [
    {
      "EmbCompCode": "001",
      "EmbPrnCode": "SM",
      "EmbEmpNo": "0116",
      "EmbBenCode": "AD&D",
      "EmbBenName": "Accid Death & Dismemberment",
      "EmbStartDate": "2015-01-01",
      "EmbEffStartDate": "2016-01-01",
      "EmbEndDate": null,
      "EmbBenAmount": 15,
      "EmbUser": "FIELDPOINT",
      "EmbLastUpdDate": "2022-10-19T02:22:43Z",
      "EmbBenType": "L",
      "EmbBaseCode": null,
      "EmbContrAmt": null,
      "EmbContrMaxAmt": null,
      "EmbBaseAmt": null,
      "EmbPlanCode": "DEFAULT",
      "EmbPlanName": "DEFAULT PLAN",
      "EmbPloCode": "CHILD",
      "EmbPloName": "Child",
      "EmbVendor": "ZURICH",
      "EmbVenName": "Zurich Insurance Company",
      "EmbOutOfAreaFlag": "N",
      "EmbOthInsurFlag": "N",
      "EmbOthInsurVendor": null,
      "EmbOthPolicyNo": null,
      "EmbOthPolicyName": null,
      "EmbOthInsurEffDate": null,
      "EmbComment": null,
      "EmbBenefitSeq": 30937,
      "EmbVendorAddCode": null,
      "EmbDefaultAmount": 15,
      "EmbStartDateDisplay": "2015-01-01T00:00:00Z",
      "EmbVUuid": "EB5AE2343ABE4300E05316821FACCF90",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyempben/EB5AE2343ABE4300E05316821FACCF90",
          "name": "pyempben",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyempben/EB5AE2343ABE4300E05316821FACCF90",
          "name": "pyempben",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyempben",
      "name": "pyempben",
      "kind": "collection"
    }
  ]
}
```

object
